Description

{

   "name":"ffmpeg-stable",

   "catalogue.system.nid":"0",

   "catalogue.system.title":"ffmpeg",

   "catalogue.system.version.nid":"0",

   "catalogue.system.version.title":"stable-latest",

   "variables":{

      "toolkit.volume":"/tmp/",

      "toolkit.dir":"${toolkit.volume}/${distribution-name}",

      "buildflow-name":"distribution-buildflow-${distribution-name}",

      "finish-hook-name":"distribution-finish-${distribution-name}",

      "prepare-hook-name":"distribution-prepare-${distribution-name}",

      "recipe.maintainer":[

         "lschilli@techfak.uni-bielefeld.de"

      ],

      "access":"private",

      "platform-requires":{

         "ubuntu":{

         "packages": [

                    "cmake", "build-essential"

                ]

            }

         }

      },

      "prepare-hook/unix":"mkdir -p \"${toolkit.dir}\" chmod 2755 \"${toolkit.dir}\"",

      "finish-hook/unix":"find \"${toolkit.dir}\" -type d -exec chmod 2755 {} \\; find \"${toolkit.dir}\" -type f -exec chmod go+r {} \\; find

 \"${toolkit.dir}\" -type f -perm /100 -exec chmod go+x {} \\; chmod -R g+x \"${toolkit.dir}\"/bin",

      }

   "versions": [

      [

         "ffmpeg",

         "master"

      ]

   ]

}

History

#1 - 2015-08-13 11:29 - Johannes Wienke

??? What is happening and what is expected?

In any case, the versions list does not contain entries of the form ["project", "project-version"]. It does, it is just unusually formatted...

#2 - 2015-08-13 16:11 - Lars Schillingmann

The JSON is not valid. It is expected that the build-generator is able to detect invalid JSON and reject it. Instead parts of the JSON file are ignored,

leading to the ffmpeg job not being created.
#3 - 2015-08-13 16:48 - Jan Moringen

Lars Schillingmann wrote:

The JSON is not valid.

 

  "finish-hook/unix":"…",

}                       ^ illegal comma

 ^ missing comma

"versions": [

You mean this syntax error, right?  

It is expected that the build-generator is able to detect invalid JSON and reject it.

 

It should do exactly that. How do you invoke the generator and what is the complete output (to std{out,err})?

#4 - 2015-09-07 14:39 - Jan Moringen

- Category set to build-generator

- Status changed from New to Feedback

- Assignee changed from Jan Moringen to Lars Schillingmann

Taking the clarification into account, do you still observe incorrect behavior of the generator?

#5 - 2015-09-28 14:04 - Jan Moringen

- Status changed from Feedback to Rejected

Please reopen as necessary.
